## ros-noetic-etsi-its-mcm-uulm-msgs 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(etsi_its_mcm_uulm_msgs)

find_package(ros_environment REQUIRED QUIET)
set(ROS_VERSION $ENV{ROS_VERSION})

# === ROS 2 (AMENT) ============================================================
if(${ROS_VERSION} EQUAL 2)

  find_package(ament_cmake REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  set(msg_files
    "msg/AdviceResponse.msg"
    "msg/AdviceUpdateID.msg"
    "msg/Altitude.msg"
    "msg/AltitudeConfidence.msg"
    "msg/AltitudeValue.msg"
    "msg/BasicContainer.msg"
    "msg/CartesianCoordinateLarge.msg"
    "msg/ConfirmationRequiredFlag.msg"
    "msg/DesiredRoute.msg"
    "msg/GenerationDeltaTime.msg"
    "msg/HeadingValue.msg"
    "msg/ItsPduHeader.msg"
    "msg/Latitude.msg"
    "msg/Longitude.msg"
    "msg/LongitudinalManeuverWaypointContainer.msg"
    "msg/LongitudinalWaypoint.msg"
    "msg/MCM.msg"
    "msg/ManeuverConstraints.msg"
    "msg/ManeuverContainer.msg"
    "msg/ManeuverCoordinationMessage.msg"
    "msg/ManeuverID.msg"
    "msg/ManeuverParameters.msg"
    "msg/ManeuverResponse.msg"
    "msg/ManeuverType.msg"
    "msg/McmParameters.msg"
    "msg/MessageId.msg"
    "msg/OrdinalNumber1B.msg"
    "msg/ParticipatingRoadUserIDContainer.msg"
    "msg/ParticipatingRoadUserIndex.msg"
    "msg/PlannedTrajectory.msg"
    "msg/Polygon.msg"
    "msg/PositionConfidenceEllipse.msg"
    "msg/ReferencePositionWithConfidence.msg"
    "msg/RoadUserContainer.msg"
    "msg/RoadUserLength.msg"
    "msg/RoadUserState.msg"
    "msg/RoadUserType.msg"
    "msg/RoadUserWidth.msg"
    "msg/SemiAxisLength.msg"
    "msg/SpeedValue.msg"
    "msg/StationId.msg"
    "msg/SuggestedManeuver.msg"
    "msg/SuggestedManeuverContainer.msg"
    "msg/TerminationStatus.msg"
    "msg/TrafficParticipantType.msg"
    "msg/TrajectoryPoint.msg"
    "msg/TrajectoryPointContainer.msg"
    "msg/TrajectoryPointDeltaTime.msg"
    "msg/TrajectoryStartDeltaTime.msg"
    "msg/Waypoint.msg"
    "msg/WaypointDeltaTime.msg"
    "msg/Wgs84AngleValue.msg"
    "msg/YieldToRoadUserContainer.msg"
  )

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${msg_files}
  )

  ament_export_dependencies(rosidl_default_runtime)

  ament_package()

# === ROS (CATKIN) =============================================================
elseif(${ROS_VERSION} EQUAL 1)

  find_package(catkin REQUIRED COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(DIRECTORY msg)

  generate_messages(
    DEPENDENCIES std_msgs
  )

  catkin_package(
    CATKIN_DEPENDS
      message_runtime
      std_msgs
  )

endif()

=== debian/changelog ===
ros-noetic-etsi-its-mcm-uulm-msgs (3.2.0-1focal) focal; urgency=high

  * Merge pull request #75 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/75> from ika-rwth-aachen/uulm-mcm
    Add MCM version of Ulm University
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 22 Apr 2025 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-etsi-its-mcm-uulm-msgs
Section: misc
Priority: optional
Maintainer: Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-ros-environment, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-etsi-its-mcm-uulm-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-ros-environment, ros-noetic-std-msgs
Description: ROS messages for draft MCM (TS) version of UULM

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-etsi-its-mcm-uulm-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
